declare type Appendable = Uint8ArrayList | Uint8Array;
export declare class Uint8ArrayList implements Iterable<Uint8Array> {
    private bufs;
    length: number;
    constructor(...data: Appendable[]);
    [Symbol.iterator](): Generator<Uint8Array, void, undefined>;
    get byteLength(): number;
    /**
     * Add one or more `bufs` to this Uint8ArrayList
     */
    append(...bufs: Appendable[]): void;
    /**
     * Add all `bufs` to this Uint8ArrayList
     */
    appendAll(bufs: Appendable[]): void;
    /**
     * Read the value at `index`
     */
    get(index: number): number;
    /**
     * Set the value at `index` to `value`
     */
    set(index: number, value: number): void;
    /**
     * Copy bytes from `buf` to the index specified by `offset`
     */
    write(buf: Appendable, offset?: number): void;
    /**
     * Remove bytes from the front of the pool
     */
    consume(bytes: number): void;
    slice(beginInclusive?: number, endExclusive?: number): Uint8Array;
    subarray(beginInclusive?: number, endExclusive?: number): Uint8ArrayList;
    _subList(beginInclusive?: number, endExclusive?: number): {
        bufs: Uint8Array[];
        length: number;
    };
}
export {};
//# sourceMappingURL=index.d.ts.map